Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FloaterWidget Class Reference

List of all members.

## Public Member Functions
def | __init__
def | get
def | highlightWidget
def | mouseDown
| Canvas callback functions Floater velocity controller.
def | mouseUp
def | restoreWidget
def | set
def | setBackground
def | setBorderwidth
def | setNumDigits
def | setRelief
def | updateFloaterSF
def | updateFloaterTask
def | updateIndicator
## Public Attributes
| minExp
| updateTask
| value
| velocitySF

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def get | ( |  | self | ) |

    self.get()
    Get current floater value

def highlightWidget | ( |  | self,
|  |  | event
| ) |  |

def mouseDown | ( |  | self,
|  |  | event
| ) |  |

Canvas callback functions Floater velocity controller.

    Begin mouse interaction

def mouseUp | ( |  | self,
|  |  | event
| ) |  |

def restoreWidget | ( |  | self,
|  |  | event
| ) |  |

def set | ( |  | self,
|  |  | value,
|  |  | fCommand = `1`
| ) |  |

    self.set(value, fCommand = 1)
    Set floater to new value, execute command if fCommand == 1

def setBackground | ( |  | self | ) |

def setBorderwidth | ( |  | self | ) |

def setNumDigits | ( |  | self | ) |

    Adjust minimum exponent to use in velocity task based
    upon the number of digits to be displayed in the result

def setRelief | ( |  | self | ) |

def updateFloaterSF | ( |  | self,
|  |  | event
| ) |  |

    Update velocity scale factor based of mouse distance from origin

def updateFloaterTask | ( |  | self,
|  |  | state
| ) |  |

    Update floaterWidget value based on current scaleFactor
    Adjust for time to compensate for fluctuating frame rates

def updateIndicator | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

minExp

updateTask

value

velocitySF

All Classes Namespaces Functions Variables Enumerations Enumerator Properties